*** Makefile~	Wed Aug 16 11:53:26 1995
--- Makefile	Wed Oct 16 22:48:34 1996
***************
*** 10,20 ****
  	  else if [ -x /bin/bash ]; then echo /bin/bash; \
  	  else echo sh; fi ; fi)
  TOPDIR	:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
  
  AS	=as
  LD	=ld
! HOSTCC	=gcc -I$(TOPDIR)/include
! CC	=gcc -D__KERNEL__ -I$(TOPDIR)/include
  MAKE	=make
  CPP	=$(CC) -E
  AR	=ar
--- 10,23 ----
  	                else if [ -x /bin/bash ]; then echo /bin/bash; \
  	                else echo sh; fi ; fi)
  TOPDIR	:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
+ SRCDIR  := $(shell if [ "$$SRCDIR" != "" ]; then echo $$SRCDIR; \
+                    else echo /usr/src/linux; fi)
  
+ VERSION_H =/usr/sys/$(CONFIG_IDENT)/include/linux/version.h
  AS	=as
  LD	=ld
! HOSTCC	=gcc -I/usr/sys/$(CONFIG_IDENT)/include
! CC	=gcc -D__KERNEL__ -I/usr/sys/$(CONFIG_IDENT)/include
  MAKE	=make
  CPP	=$(CC) -E
  AR	=ar
***************
*** 90,96 ****
  		 drivers/char/char.a \
  		 drivers/net/net.a
  LIBS		=$(TOPDIR)/lib/lib.a
! SUBDIRS		=kernel drivers mm fs net ipc lib
  
  ifdef CONFIG_SCSI
  DRIVERS := $(DRIVERS) drivers/scsi/scsi.a
--- 93,99 ----
  		 drivers/char/char.a \
  		 drivers/net/net.a
  LIBS		=$(TOPDIR)/lib/lib.a
! SUBDIRS		=init kernel drivers mm fs net ipc lib
  
  ifdef CONFIG_SCSI
  DRIVERS := $(DRIVERS) drivers/scsi/scsi.a
***************
*** 114,125 ****
  	$(CC) -D__ASSEMBLY__ -traditional -c -o $*.o $<
  
  Version: dummy
! 	rm -f include/linux/version.h
  
  boot: vmlinux
  	@$(MAKE) -C arch/$(ARCH)/boot
  
! vmlinux: $(CONFIGURATION) init/main.o init/version.o linuxsubdirs
  	$(LD) $(LINKFLAGS) $(HEAD) init/main.o init/version.o \
  		$(ARCHIVES) \
  		$(FILESYSTEMS) \
--- 117,128 ----
  	$(CC) -D__ASSEMBLY__ -traditional -c -o $*.o $<
  
  Version: dummy
! 	rm -f $(VERSION_H)
  
  boot: vmlinux
  	@$(MAKE) -C arch/$(ARCH)/boot
  
! vmlinux: $(VERSION_H) linuxsubdirs
  	$(LD) $(LINKFLAGS) $(HEAD) init/main.o init/version.o \
  		$(ARCHIVES) \
  		$(FILESYSTEMS) \
***************
*** 140,147 ****
  linuxsubdirs: dummy
  	set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i; done
  
- $(TOPDIR)/include/linux/version.h: include/linux/version.h
- 
  newversion:
  	@if [ ! -f .version ]; then \
  		echo 1 > .version; \
--- 143,148 ----
***************
*** 149,177 ****
  		expr `cat .version` + 1 > .version; \
  	fi
  
! include/linux/version.h: $(CONFIGURATION) Makefile newversion
! 	@echo \#define UTS_RELEASE \"$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)\" > include/linux/version.h
  	@if [ -f .name ]; then \
  	   echo \#define UTS_VERSION \"\#`cat .version`-`cat .name` `date`\"; \
  	 else \
  	   echo \#define UTS_VERSION \"\#`cat .version` `date`\";  \
! 	 fi >> include/linux/version.h 
! 	@echo \#define LINUX_COMPILE_TIME \"`date +%T`\" >> include/linux/version.h
! 	@echo \#define LINUX_COMPILE_BY \"`whoami`\" >> include/linux/version.h
! 	@echo \#define LINUX_COMPILE_HOST \"`hostname`\" >> include/linux/version.h
  	@if [ -x /bin/dnsdomainname ]; then \
  	   echo \#define LINUX_COMPILE_DOMAIN \"`dnsdomainname`\"; \
  	 else \
  	   echo \#define LINUX_COMPILE_DOMAIN \"`domainname`\"; \
! 	 fi >> include/linux/version.h
! 	@echo \#define LINUX_COMPILER \"`$(HOSTCC) -v 2>&1 | tail -1`\" >> include/linux/version.h
! 	@echo \#define LINUX_VERSION_CODE `expr $(VERSION) \\* 65536 + $(PATCHLEVEL) \\* 256 + $(SUBLEVEL)` >> include/linux/version.h
! 
! init/version.o: init/version.c include/linux/version.h
! 	$(CC) $(CFLAGS) -DUTS_MACHINE='"$(ARCH)"' -c -o init/version.o init/version.c
! 
! init/main.o: init/main.c
! 	$(CC) $(CFLAGS) $(PROFILING) -c -o $*.o $<
  
  fs: dummy
  	$(MAKE) linuxsubdirs SUBDIRS=fs
--- 150,173 ----
  		expr `cat .version` + 1 > .version; \
  	fi
  
! $(VERSION_H): $(CONFIGURATION) Makefile newversion
! 	@echo \#define UTS_RELEASE \"$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)\" > $(VERSION_H)
  	@if [ -f .name ]; then \
  	   echo \#define UTS_VERSION \"\#`cat .version`-`cat .name` `date`\"; \
  	 else \
  	   echo \#define UTS_VERSION \"\#`cat .version` `date`\";  \
! 	 fi >> $(VERSION_H) 
! 	@echo \#define LINUX_COMPILE_TIME \"`date +%T`\" >> $(VERSION_H)
! 	@echo \#define LINUX_COMPILE_BY \"`whoami`\" >> $(VERSION_H)
! 	@echo \#define LINUX_COMPILE_HOST \"`hostname`\" >> $(VERSION_H)
  	@if [ -x /bin/dnsdomainname ]; then \
  	   echo \#define LINUX_COMPILE_DOMAIN \"`dnsdomainname`\"; \
  	 else \
  	   echo \#define LINUX_COMPILE_DOMAIN \"`domainname`\"; \
! 	 fi >> $(VERSION_H)
! 	@echo \#define LINUX_COMPILER \"`$(HOSTCC) -v 2>&1 | tail -1`\" >> $(VERSION_H)
! 	@echo \#define LINUX_VERSION_CODE `expr $(VERSION) \\* 65536 + $(PATCHLEVEL) \\* 256 + $(SUBLEVEL)` >> $(VERSION_H)
! 	@echo \#define LINUX_CONFIG_IDENT \"$(CONFIG_IDENT)\" >> $(VERSION_H)
  
  fs: dummy
  	$(MAKE) linuxsubdirs SUBDIRS=fs
***************
*** 198,204 ****
  MODV = -DCONFIG_MODVERSIONS
  endif
  
! modules: include/linux/version.h
  	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i CFLAGS="$(CFLAGS) -DMODULE $(MODV)" modules; done
  	
  modules_install:
--- 194,200 ----
  MODV = -DCONFIG_MODVERSIONS
  endif
  
! modules: $(VERSION_H)
  	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i CFLAGS="$(CFLAGS) -DMODULE $(MODV)" modules; done
  	
  modules_install:
***************
*** 230,236 ****
  	rm -fr modules/*
  
  mrproper: clean
! 	rm -f include/linux/autoconf.h include/linux/version.h
  	rm -f drivers/sound/local.h
  	rm -f .version .config* config.in config.old
  	rm -f include/asm
--- 226,232 ----
  	rm -fr modules/*
  
  mrproper: clean
! 	rm -f include/linux/autoconf.h $(VERSION_H)
  	rm -f drivers/sound/local.h
  	rm -f .version .config* config.in config.old
  	rm -f include/asm
***************
*** 247,257 ****
  	sync
  
  depend dep: archdep
! 	touch include/linux/version.h
! 	for i in init/*.c;do echo -n "init/";$(CPP) -M $$i;done > .tmpdepend
  	set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i dep; done
! 	rm -f include/linux/version.h
! 	mv .tmpdepend .depend
  ifdef CONFIG_MODVERSIONS
  	@echo updating $(TOPDIR)/include/linux/modversions.h
  	@(cd $(TOPDIR)/include/linux/modules; for f in *.ver;\
--- 243,252 ----
  	sync
  
  depend dep: archdep
! 	touch $(VERSION_H)
  	set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i dep; done
! 	rm -f $(VERSION_H)
! 	touch .depend
  ifdef CONFIG_MODVERSIONS
  	@echo updating $(TOPDIR)/include/linux/modversions.h
  	@(cd $(TOPDIR)/include/linux/modules; for f in *.ver;\
*** arch/i386/boot/compressed/Makefile~	Wed Aug 16 11:53:27 1995
--- arch/i386/boot/compressed/Makefile	Wed Oct 16 22:20:31 1996
***************
*** 18,28 ****
  endif
  
  .c.s:
! 	$(CC) $(CFLAGS) -S $<
  .s.o:
  	$(AS) -o $*.o $<
  .c.o:
! 	$(CC) $(CFLAGS) -c $<
  
  all: vmlinux
  
--- 18,30 ----
  endif
  
  .c.s:
! 	$(HOSTCC) $(CFLAGS) -S $<
  .s.o:
  	$(AS) -o $*.o $<
  .c.o:
! 	$(HOSTCC) $(CFLAGS) -c $<
! .S.o:
! 	$(CC) -traditional  -c $<
  
  all: vmlinux
  
***************
*** 31,38 ****
  
  #head.o:	head.s
  
! head.o: head.S $(TOPDIR)/include/linux/tasks.h
! 	$(CC) -traditional -c head.S
  
  ifeq ($(USE_ELF),yes)
  
--- 33,39 ----
  
  #head.o:	head.s
  
! head.o: head.S $(SRCDIR)/include/linux/tasks.h
  
  ifeq ($(USE_ELF),yes)
  
***************
*** 49,60 ****
  
  piggy.o:	$(SYSTEM) xtract piggyback
  		./xtract $(SYSTEM) | gzip -9 | ./piggyback > piggy.o
- 
- xtract: xtract.c
- 	$(HOSTCC) $(CFLAGS) -o xtract xtract.c
- 
- piggyback: piggyback.c
- 	$(HOSTCC) $(CFLAGS) -o piggyback piggyback.c
  
  endif
  
--- 50,55 ----
*** arch/i386/boot/Makefile~	Wed Aug 16 11:53:27 1995
--- arch/i386/boot/Makefile	Wed Oct 16 22:15:05 1996
***************
*** 15,44 ****
  CFLAGS := $(CFLAGS) -D__BFD__
  endif
  
! zImage: $(CONFIGURE) bootsect setup compressed/vmlinux tools/build
  ifeq ($(USE_ELF),yes)
  	$(OBJDUMP) $(OBJDUMP_FLAGS) -o $(ZIMAGE_OFFSET) compressed/vmlinux > compressed/vmlinux.out
! 	tools/build bootsect setup compressed/vmlinux.out $(ROOT_DEV) > zImage
  else
! 	tools/build bootsect setup compressed/vmlinux $(ROOT_DEV) > zImage
  endif
  	sync
  
  compressed/vmlinux: $(TOPDIR)/vmlinux
  	@$(MAKE) -C compressed vmlinux
  
! zdisk: zImage
! 	dd bs=8192 if=zImage of=/dev/fd0
  
! zlilo: $(CONFIGURE) zImage
  	if [ -f $(INSTALL_PATH)/vmlinuz ]; then mv $(INSTALL_PATH)/vmlinuz $(INSTALL_PATH)/vmlinuz.old; fi
  	if [ -f $(INSTALL_PATH)/System.map ]; then mv $(INSTALL_PATH)/System.map $(INSTALL_PATH)/System.old; fi
! 	cat zImage > $(INSTALL_PATH)/vmlinuz
  	cp $(TOPDIR)/System.map $(INSTALL_PATH)/
  	if [ -x /sbin/lilo ]; then /sbin/lilo; else /etc/lilo/install; fi
  
! install: $(CONFIGURE) zImage
! 	sh ./install.sh $(VERSION).$(PATCHLEVEL).$(SUBLEVEL) zImage $(TOPDIR)/System.map "$(INSTALL_PATH)"
  
  tools/build: tools/build.c
  	$(HOSTCC) $(CFLAGS) -o $@ $< -I$(TOPDIR)/include
--- 15,44 ----
  CFLAGS := $(CFLAGS) -D__BFD__
  endif
  
! $(IMAGE_FILE): $(CONFIGURE) bootsect setup compressed/vmlinux tools/build
  ifeq ($(USE_ELF),yes)
  	$(OBJDUMP) $(OBJDUMP_FLAGS) -o $(ZIMAGE_OFFSET) compressed/vmlinux > compressed/vmlinux.out
! 	tools/build bootsect setup compressed/vmlinux.out $(ROOT_DEV) > $(IMAGE_FILE)
  else
! 	tools/build bootsect setup compressed/vmlinux $(ROOT_DEV) > $(IMAGE_FILE)
  endif
  	sync
  
  compressed/vmlinux: $(TOPDIR)/vmlinux
  	@$(MAKE) -C compressed vmlinux
  
! zdisk: $(IMAGE_FILE)
! 	dd bs=8192 if=$(IMAGE_FILE) of=/dev/fd0
  
! zlilo: $(CONFIGURE) $(IMAGE_FILE)
  	if [ -f $(INSTALL_PATH)/vmlinuz ]; then mv $(INSTALL_PATH)/vmlinuz $(INSTALL_PATH)/vmlinuz.old; fi
  	if [ -f $(INSTALL_PATH)/System.map ]; then mv $(INSTALL_PATH)/System.map $(INSTALL_PATH)/System.old; fi
! 	cat $(IMAGE_FILE) > $(INSTALL_PATH)/vmlinuz
  	cp $(TOPDIR)/System.map $(INSTALL_PATH)/
  	if [ -x /sbin/lilo ]; then /sbin/lilo; else /etc/lilo/install; fi
  
! install: $(CONFIGURE) $(IMAGE_FILE)
! 	sh ./install.sh $(VERSION).$(PATCHLEVEL).$(SUBLEVEL) $(IMAGE_FILE) $(TOPDIR)/System.map "$(INSTALL_PATH)"
  
  tools/build: tools/build.c
  	$(HOSTCC) $(CFLAGS) -o $@ $< -I$(TOPDIR)/include
***************
*** 49,55 ****
  setup.o: setup.s
  	$(AS86) -o $@ $<
  
! setup.s: setup.S $(CONFIGURE) $(TOPDIR)/include/linux/config.h Makefile
  	$(CPP) -traditional $(SVGA_MODE) $(RAMDISK) $< -o $@
  
  bootsect: bootsect.o
--- 49,55 ----
  setup.o: setup.s
  	$(AS86) -o $@ $<
  
! setup.s: setup.S $(CONFIGURE) $(SRCDIR)/include/linux/config.h Makefile
  	$(CPP) -traditional $(SVGA_MODE) $(RAMDISK) $< -o $@
  
  bootsect: bootsect.o
***************
*** 58,69 ****
  bootsect.o: bootsect.s
  	$(AS86) -o $@ $<
  
! bootsect.s: bootsect.S $(CONFIGURE) $(TOPDIR)/include/linux/config.h Makefile
  	$(CPP) -traditional $(SVGA_MODE) $(RAMDISK) $< -o $@
  
  dep:
  
  clean:
  	rm -f bootsect setup
! 	rm -f zImage tools/build compressed/vmlinux.out
  	@$(MAKE) -C compressed clean
--- 58,69 ----
  bootsect.o: bootsect.s
  	$(AS86) -o $@ $<
  
! bootsect.s: bootsect.S $(CONFIGURE) $(SRCDIR)/include/linux/config.h Makefile
  	$(CPP) -traditional $(SVGA_MODE) $(RAMDISK) $< -o $@
  
  dep:
  
  clean:
  	rm -f bootsect setup
! 	rm -f $(IMAGE_FILE) tools/build
  	@$(MAKE) -C compressed clean
*** arch/i386/kernel/Makefile~	Wed Aug 16 11:53:27 1995
--- arch/i386/kernel/Makefile	Wed Oct 16 22:10:56 1996
***************
*** 24,32 ****
  
  #head.o: head.s
  
! head.o: head.S $(TOPDIR)/include/linux/tasks.h
! 	$(CC) -D__ASSEMBLY__ -traditional -c $*.S -o $*.o
! #	$(CPP) -traditional -o $*.s $<
  
  kernel.o: $(OBJS)
  	$(LD) -r -o kernel.o $(OBJS)
--- 24,31 ----
  
  #head.o: head.s
  
! head.o: head.S $(SRCDIR)/include/linux/tasks.h
! 	$(CC) -D__ASSEMBLY__ -traditional -c $< -o $*.o
  
  kernel.o: $(OBJS)
  	$(LD) -r -o kernel.o $(OBJS)
*** arch/i386/Makefile~	Wed Aug 16 11:53:27 1995
--- arch/i386/Makefile	Wed Oct 16 22:08:31 1996
***************
*** 85,94 ****
  
  MAKEBOOT = $(MAKE) -C arch/$(ARCH)/boot
  
! zImage: vmlinux
! 	@$(MAKEBOOT) zImage
  
! compressed: zImage
  
  zlilo: vmlinux
  	@$(MAKEBOOT) zlilo
--- 85,94 ----
  
  MAKEBOOT = $(MAKE) -C arch/$(ARCH)/boot
  
! $(IMAGE_FILE): vmlinux
! 	@$(MAKEBOOT) $(IMAGE_FILE)
  
! compressed: $(IMAGE_FILE)
  
  zlilo: vmlinux
  	@$(MAKEBOOT) zlilo
*** drivers/net/Makefile~	Wed Aug 16 11:53:04 1995
--- drivers/net/Makefile	Wed Oct 16 22:28:50 1996
***************
*** 11,18 ****
  MODULES :=
  
  NETDRV_OBJS := Space.o auto_irq.o net_init.o loopback.o
! override CFLAGS := $(CFLAGS) -I../../net/inet
! override CPP := $(CPP) -I../../net/inet
  
  .c.o:
  	$(CC) $(CFLAGS) -c $<
--- 11,18 ----
  MODULES :=
  
  NETDRV_OBJS := Space.o auto_irq.o net_init.o loopback.o
! override CFLAGS := $(CFLAGS) -I$(SRCDIR)/net/inet
! override CPP := $(CPP) -I$(SRCDIR)/net/inet
  
  .c.o:
  	$(CC) $(CFLAGS) -c $<
***************
*** 223,228 ****
--- 223,232 ----
  NETDRV_OBJS := $(NETDRV_OBJS) apricot.o
  else
  MODULES := $(MODULES) apricot.o
+ endif
+ 
+ ifdef CONFIG_TULIP
+ NETDRV_OBJS := $(NETDRV_OBJS) Tulip.o
  endif
  
  ifdef CONFIG_DEC_ELCP
*** drivers/scsi/Makefile~	Wed Oct 16 23:35:03 1996
--- drivers/scsi/Makefile	Wed Oct 16 23:35:58 1996
***************
*** 188,201 ****
  
  # For debugging, use the -g flag
  53c7,8xx.o : 53c7,8xx.c
! 	$(CC) $(CFLAGS) -g -c 53c7,8xx.c
  
! 53c8xx_d.h 53c8xx_u.h : 53c7,8xx.scr script_asm.pl
! 	ln 53c7,8xx.scr fake.c
! 	$(CPP) -traditional -DCHIP=810 fake.c | grep -v '^#' | perl script_asm.pl 
  	mv script.h 53c8xx_d.h
  	mv scriptu.h 53c8xx_u.h
- 	rm fake.c
  
  modules: $(SCSI_MODULE_OBJS)
  	echo $(SCSI_MODULE_OBJS) > ../../modules/SCSI_MODULES
--- 188,202 ----
  
  # For debugging, use the -g flag
  53c7,8xx.o : 53c7,8xx.c
! 	$(CC) $(CFLAGS) -g -c $<
  
! 53c8xx_d.h 53c8xx_u.h : $(SRCDIR)/drivers/scsi/53c7,8xx.scr \
! 			$(SRCDIR)/drivers/scsi/script_asm.pl
! 	$(CPP) -traditional -DCHIP=810 $(SRCDIR)/drivers/scsi/53c7,8xx.scr \
! 			    | grep -v '^#' \
! 			    | perl $(SRCDIR)/drivers/scsi/script_asm.pl 
  	mv script.h 53c8xx_d.h
  	mv scriptu.h 53c8xx_u.h
  
  modules: $(SCSI_MODULE_OBJS)
  	echo $(SCSI_MODULE_OBJS) > ../../modules/SCSI_MODULES
*** drivers/scsi/sg.c~	Fri Oct 18 02:10:48 1996
--- drivers/scsi/sg.c	Fri Oct 18 02:11:29 1996
***************
*** 362,370 ****
     /* If we have already been through here, return */
     if(scsi_generics) return;
  
! #ifdef DEBUG
!   printk("sg: Init generic device.\n");
! #endif
  
  #ifdef SG_BIG_BUFF
    big_buff= (char *) scsi_init_malloc(SG_BIG_BUFF, GFP_ATOMIC | GFP_DMA);
--- 362,369 ----
     /* If we have already been through here, return */
     if(scsi_generics) return;
  
!   printk("sg: initializing %d slots\n",
! 	      SG_EXTRA_DEVS + sg_template.dev_noticed);
  
  #ifdef SG_BIG_BUFF
    big_buff= (char *) scsi_init_malloc(SG_BIG_BUFF, GFP_ATOMIC | GFP_DMA);
*** drivers/sound/Makefile~	Fri Jan 13 07:25:07 1995
--- drivers/sound/Makefile	Wed Oct 16 22:08:31 1996
***************
*** 8,13 ****
--- 8,17 ----
  VERSION		= 2.90-2
  TARGET_OS	= linux
  
+ SOUND_DIR=/usr/sys/$(CONFIG_IDENT)/drivers/sound
+ 
+ CFLAGS += -I$(SOUND_DIR)
+ 
  .c.s:
  	$(CC) $(CFLAGS) -S $<
  .s.o:
***************
*** 49,75 ****
  
  config: configure /usr/include/sys/soundcard.h
  	@echo Compiling Sound Driver v $(VERSION) for Linux
! 	@./configure > local.h
! 	@echo \#define SOUND_VERSION_STRING \"$(VERSION)\" >> local.h
! 	@echo \#define SOUND_CONFIG_DATE \"`date`\" >> local.h
! 	@echo \#define SOUND_CONFIG_BY \"`whoami`\" >> local.h
! 	@echo \#define SOUND_CONFIG_HOST \"`hostname`\" >> local.h
  	@if [ -x /bin/dnsdomainname ]; then \
             echo \#define SOUND_CONFIG_DOMAIN \"`dnsdomainname`\"; \
           else \
             echo \#define SOUND_CONFIG_DOMAIN \"`domainname`\"; \
!          fi >> local.h
  
  clrconf:
  	rm -f local.h .depend
  
! configure: configure.c /usr/include/sys/soundcard.h
! 	$(HOSTCC) -o configure configure.c
  	@cat .blurb
  
! dep:
  	$(MAKE) /usr/include/sys/soundcard.h
! 	$(CPP) -M *.c > .depend
  
  modules:
  
--- 53,79 ----
  
  config: configure /usr/include/sys/soundcard.h
  	@echo Compiling Sound Driver v $(VERSION) for Linux
! 	@./configure > $(SOUND_DIR)/local.h
! 	@echo \#define SOUND_VERSION_STRING \"$(VERSION)\" >> $(SOUND_DIR)/local.h
! 	@echo \#define SOUND_CONFIG_DATE \"`date`\" >> $(SOUND_DIR)/local.h
! 	@echo \#define SOUND_CONFIG_BY \"`whoami`\" >> $(SOUND_DIR)/local.h
! 	@echo \#define SOUND_CONFIG_HOST \"`hostname`\" >> $(SOUND_DIR)/local.h
  	@if [ -x /bin/dnsdomainname ]; then \
             echo \#define SOUND_CONFIG_DOMAIN \"`dnsdomainname`\"; \
           else \
             echo \#define SOUND_CONFIG_DOMAIN \"`domainname`\"; \
!          fi >> $(SOUND_DIR)/local.h
  
  clrconf:
  	rm -f local.h .depend
  
! configure: configure.o /usr/include/sys/soundcard.h
! 	$(HOSTCC) -o configure configure.o
  	@cat .blurb
  
! dep: config
  	$(MAKE) /usr/include/sys/soundcard.h
! 	$(CPP) -M -I$(SOUND_DIR) *.c > .depend
  
  modules:
  
*** init/version.c~	Thu Jan  5 03:55:40 1995
--- init/version.c	Wed Oct 16 22:08:31 1996
***************
*** 16,20 ****
  };
  
  char *linux_banner = 
! 	"Linux version " UTS_RELEASE " (" LINUX_COMPILE_BY "@"
! 	LINUX_COMPILE_HOST ") (" LINUX_COMPILER ") " UTS_VERSION "\n";
--- 16,19 ----
  };
  
  char *linux_banner = 
! 	"Linux version " UTS_RELEASE " (" LINUX_CONFIG_IDENT ") " UTS_VERSION "\n";
*** init/Makefile~	Wed Oct 16 22:08:31 1996
--- init/Makefile	Wed Oct 16 22:08:31 1996
***************
*** 0 ****
--- 1,29 ----
+ #
+ # Makefile for init & version file
+ #
+ # Note! Dependencies are done automagically by 'make dep', which also
+ # removes any old dependencies. DON'T put your own dependencies here
+ # unless it's something special (ie not a .c file).
+ #
+ # Note 2! The CFLAGS definition is now in the main makefile...
+ 
+ .c.o:
+ 	$(CC) $(CFLAGS) $(PROFILING) -DUTS_MACHINE='"$(ARCH)"' -c $<
+ .s.o:
+ 	$(AS) -o $*.o $<
+ .c.s:
+ 	$(CC) $(CFLAGS) -S $<
+ 
+ OBJS	= main.o version.o
+ 
+ modules: $(OBJS)
+ 
+ dep:
+ 	$(CPP) -M *.c > .depend
+ 
+ #
+ # include a dependency file if one exists
+ #
+ ifeq (.depend,$(wildcard .depend))
+ include .depend
+ endif
